For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • HEADLESS GOOGLE PAY API
    • End Points
    • POSTTransaction Session API
    • POSTTransaction Process API
    • GETTransaction Request Status API
  • TRANSAK WHITELABEL API
    • End Points
Dashboard
LogoLogo
HEADLESS GOOGLE PAY API

Transaction Request Status API

||View as Markdown|
GET
https://api-gateway-stg.transak.com/api/v2/transaction-session/request/:requestId
GET
/api/v2/transaction-session/request/:requestId
$curl https://api-gateway-stg.transak.com/api/v2/transaction-session/request/ \
> -H "x-access-token: "
1{
2 "data": {
3 "status": "IN_PROGRESS",
4 "orderId": "d4746d84-65ff-4d7b-9e50-57772fa42dc6"
5 }
6}
This API should be polled once transaction is complete.
Was this page helpful?
Previous

Transaction Process API

Next

Getting Started

Built with

Path parameters

requestIdstringRequired
The request ID returned as the callback from the UI module SDK.

Headers

x-access-tokenstringRequired

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Response

Success
dataobject

Errors

404
Not Found Error